pydo.projects.patch()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.projects.patch(
project_id="4de7ac8b-495b-4884-9a69-1050c6793cd6",
body={
"name": "my-web-api",
"description": "My website API",
"purpose": "Service or API",
...,
},
)Description
To update only specific attributes of a project, send a PATCH request to /v2/projects/{project_id}. At least one of the following attributes needs to be sent.
Parameters
project_idstring requiredA unique identifier for a project.
idstring optional read-onlyExample:
4e1bfbc3-dc3e-41f2-a18f-1b4d7ba71679The unique universal identifier of this project.
owner_uuidstring optional read-onlyExample:
99525febec065ca37b2ffe4f852fd2b2581895e7The unique universal identifier of the project owner.
owner_idinteger optional read-onlyExample:
258992The integer id of the project owner.
namestring optionalExample:
my-web-apiThe human-readable name for the project. The maximum length is 175 characters and the name must be unique.
descriptionstring optionalExample:
My website APIThe description of the project. The maximum length is 255 characters.
purposestring optionalExample:
Service or APIThe purpose of the project. The maximum length is 255 characters. It can
have one of the following values:
- Just trying out DigitalOcean
- Class project / Educational purposes
- Website or blog
- Web Application
- Service or API
- Mobile Application
- Machine learning / AI / Data processing
- IoT
- Operational / Developer tooling
If another value for purpose is specified, for example, "your custom purpose",
your purpose will be stored asOther: your custom purpose.environmentstring optionalThe environment of the project's resources.
created_atstring optional read-onlyExample:
2018-09-27T20:10:35ZA time value given in ISO8601 combined date and time format that represents when the project was created.
updated_atstring optional read-onlyExample:
2018-09-27T20:10:35ZA time value given in ISO8601 combined date and time format that represents when the project was updated.
is_defaultboolean optionalExample:
FalseIf true, all resources will be added to this project if no project is specified.
Request Sample
Response Example
More Information
See /v2/projects/{project_id} in the API reference for additional detail on responses, headers, parameters, and more.